
# todo

- Replace PACKER env var with auto-detection via `[ $(dmidecode | grep -c VirtualBox) -gt 0 ]`

- Use the latest successful packer build to try out `sway` and `wayland` packages as an alternative to openbox.

- Research whether we can add SIGINT support to terminal login (like Debian) to cancel quickly after typo

- determine whether we can fully automate laptop configuration
	- _for example setting `panel_items = LTSCB` in `~/.config/tint2/tint2rc` to display battery power_
	- _if `/sys/class/power/BAT0` exists, then we have a battery and can sed replace!_

- experiment with `fcitx-mozc` and document enabling `ja_JP` language (_instead of making it a default configuration_)

- investigate `libfm` and `pcmanfm` enhancements
	- a patch to enable directory thumbnail generation
	- support for `webp` files; including animated `webp` files

- try out i3 window manager

- try out `Dolphin` as an alternative to `pcmanfm`

- try out `docky` as a combined replacement for `gmrun` and `tint2`

- experiment with tint2 alternatives (menubar):
	- dzen
	- lemonbar
	- polybar
	- yabar
	- i3blocks
	- stalonetray

- experiment with notification services (_I don't use one personally_):
	- dunst
	- statnot
	- twmn

- experiment gmrun alternatives (launchers; _would love one that can do math_):
	- rofi
	- albert
	- dmenu
	- kupfer


---

With the upcoming deprecation of python2, I noticed some scripts are used by openbox and initrc to launch the environment.

I wrote a simplified bash alternative by placing this in `~/.xinitrc`:

	exec /usr/bin/openbox --startup "${XDG_CONFIG_HOME:-$HOME}/.config/openbox/launch"

_The `launch` script replacement runs these:_

	#!/bin/bash
	A="/etc/xdg/openbox/environment"
	test -r $A && . $A
	A="${XDG_CONFIG_HOME:-$HOME/.config}/openbox/environment"
	test -r $A && . $A
	find "${XDG_CONFIG_HOME:-$HOME/.config}/autostart" -maxdepth 1 -type f -name "*.desktop" -exec /bin/sh -c "desktop-file-validate $1 && dex $1" {} \;
	find "/etc/xdg/autostart" -maxdepth 1 -type f -name "*.desktop" -exec /bin/sh -c "desktop-file-validate $1 && dex $1" {} \;
	sh "${XDG_CONFIG_HOME:-$HOME/.config}/openbox/autostart" || sh "${XDG_CONFIG_HOME:-$HOME/.config}/openbox/autostart.sh"

_This requires the `dex` package to launch `.desktop` files from the command line._
